Package ch.qos.logback.classic.util

## Class LoggerNameUtil

- java.lang.Object
- - ch.qos.logback.classic.util.LoggerNameUtil

    public class LoggerNameUtil
    extends java.lang.Object

Utility class for analysing logger names.

### Constructor Summary

Constructors
`LoggerNameUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.util.List<java.lang.String>` `computeNameParts​(java.lang.String loggerName)`
`static int` `getFirstSeparatorIndexOf​(java.lang.String name)`
`static int` `getSeparatorIndexOf​(java.lang.String name, int fromIndex)` Get the position of the separator character, if any, starting at position 'fromIndex'.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LoggerNameUtil

    public LoggerNameUtil()

### Method Detail

#### getFirstSeparatorIndexOf

    public static int getFirstSeparatorIndexOf​(java.lang.String name)

#### getSeparatorIndexOf

    public static int getSeparatorIndexOf​(java.lang.String name,
                                          int fromIndex)

Get the position of the separator character, if any, starting at position 'fromIndex'.

Parameters:
  `name` -
  `fromIndex` -
Returns:

#### computeNameParts

    public static java.util.List<java.lang.String> computeNameParts​(java.lang.String loggerName)